Flickr API error: SSL is required